View Issue Details

IDProjectCategoryView StatusLast Update
0015702LazarusLazReportpublic2010-05-04 10:32
ReporterChristian Assigned ToJesus Reyes  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.3 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0015702: Scrollbars of Lazreport preview flicker wild and dont work
DescriptionIf you move the Mouse over the Scrollbars them flicker wild and you cant also dont scroll.
Tagslazreport
Fixed in Revision25157
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0011578 closedPaul Ishenin Themes (vista) TScrollbar uses unclean bitmap (doublebuffer, from previous?) 
parent of 0015717 closedPaul Ishenin TScrollbar is not working 

Activities

Jesus Reyes

2010-02-09 22:48

developer   ~0034340

Last edited: 2010-02-09 22:50

I cannot reproduce this problem on a program with a manifest, in programs without manifest it seems the blinking scrollbars are a feature, but blink<>flicker wild, maybe we are talking about different things?

Any other idea on how to reproduce?

I cannot reproduce the problem of can't scroll, can you attach a sample project?

Christian

2010-02-10 07:00

reporter   ~0034342

I dont know what to put in an sample project, its just in every preview !!
Lazreport has own samples that shows the problem to.
Maybe it is Windows 7 related, ill check this.

Christian

2010-02-10 08:50

reporter   ~0034344

In Windows XP they dont flicker (even with Manifest enabled)
but they also dont work. You cannot scroll (horizontal and vertical).

Christian

2010-03-10 22:28

reporter   ~0035208

0015717 fixes the not working Scrollbar, but not the flickering

Stefan Müller

2010-03-12 17:11

reporter   ~0035382

I confirm this bug. I just created a new (graphical) application, put a scrollbar on the form and ran it. When moving the scrollbar to any other position than 0 it flickers when moving the mouse above it between 0 and this position. I'm using Windows Vista (Aero theme). It works when I disable "themes with manifest" (first page of project settings).

Paul Ishenin

2010-05-04 03:17

manager   ~0037214

Please test and close if ok.

Christian

2010-05-04 10:32

reporter   ~0037234

nice work, thx.

Issue History

Date Modified Username Field Change
2010-02-07 19:49 Christian New Issue
2010-02-07 19:49 Christian Widgetset => Win32/Win64
2010-02-09 18:17 Jesus Reyes Status new => assigned
2010-02-09 18:17 Jesus Reyes Assigned To => Jesus Reyes
2010-02-09 22:48 Jesus Reyes LazTarget => 0.9.30
2010-02-09 22:48 Jesus Reyes Note Added: 0034340
2010-02-09 22:48 Jesus Reyes Status assigned => feedback
2010-02-09 22:50 Jesus Reyes Note Edited: 0034340
2010-02-10 07:00 Christian Note Added: 0034342
2010-02-10 08:50 Christian Note Added: 0034344
2010-03-10 22:28 Christian Note Added: 0035208
2010-03-10 22:32 Vincent Snijders Relationship added parent of 0015717
2010-03-12 17:11 Stefan Müller Note Added: 0035382
2010-03-12 17:15 Martin Friebe Relationship added related to 0011578
2010-03-14 23:02 Jesus Reyes Tag Attached: lazreport
2010-05-04 03:17 Paul Ishenin Fixed in Revision => 25157
2010-05-04 03:17 Paul Ishenin Status feedback => resolved
2010-05-04 03:17 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-04 03:17 Paul Ishenin Resolution open => fixed
2010-05-04 03:17 Paul Ishenin Note Added: 0037214
2010-05-04 10:32 Christian Status resolved => closed
2010-05-04 10:32 Christian Note Added: 0037234